Bug 1390505 - python-tosca-parser: python3-tosca-parser requires both Python 2 and Python 3
Summary: python-tosca-parser: python3-tosca-parser requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tosca-parser
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chandan Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-11-01 09:20 UTC by Dominika Krejčí
Modified: 2016-11-19 21:08 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-19 21:08:25 UTC


Attachments (Terms of Use)

Description Dominika Krejčí 2016-11-01 09:20:36 UTC
The python3-tosca-parser RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Fedora Update System 2016-11-02 10:10:14 UTC
python-tosca-parser-0.6.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1335aa6f0c

Comment 2 Fedora Update System 2016-11-02 14:53:24 UTC
python-tosca-parser-0.6.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1335aa6f0c

Comment 3 Fedora Update System 2016-11-19 21:08:25 UTC
python-tosca-parser-0.6.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.